OpenTTD Source: DropDownIndent< TBase, TEnd > Class Template Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Private Attributes
DropDownIndent< TBase, TEnd > Class Template Reference

Drop down indent component. More...

`#include <dropdown_common_type.h>`

Inheritance diagram for DropDownIndent< TBase, TEnd >:

## Public Member Functions
template<typename... Args>
| DropDownIndent (uint indent, Args &&... args)
uint | Width () const override
int | OnClick (const Rect &r, const Point &pt) const override
void | Draw (const Rect &full, const Rect &r, bool sel, int click_result, Colours bg_colour) const override

## Private Attributes
uint | indent

## Detailed Description

template<class TBase, bool TEnd = false>
class DropDownIndent< TBase, TEnd >

Drop down indent component.

Template Parameters

  TBase | Base component.
  TEnd | Position indent at end if true, or start if false.

Definition at line 242 of file dropdown_common_type.h.

## Constructor & Destructor Documentation

## ◆ DropDownIndent()

template<class TBase , bool TEnd = false>
template<typename... Args>

DropDownIndent< TBase, TEnd >::DropDownIndent | ( | uint | indent,
|  | Args &&... | args
| ) |  |
| inlineexplicit

Definition at line 246 of file dropdown_common_type.h.

## Member Function Documentation

## ◆ Draw()

template<class TBase , bool TEnd = false>

void DropDownIndent< TBase, TEnd >::Draw | ( | const Rect & | full,
|  | const Rect & | r,
|  | bool | sel,
|  | int | click_result,
|  | Colours | bg_colour
| ) |  | const
| inlineoverride

Definition at line 256 of file dropdown_common_type.h.

## ◆ OnClick()

template<class TBase , bool TEnd = false>

int DropDownIndent< TBase, TEnd >::OnClick | ( | const Rect & | r,
|  | const Point & | pt
| ) |  | const
| inlineoverride

Definition at line 250 of file dropdown_common_type.h.

## ◆ Width()

template<class TBase , bool TEnd = false>

uint DropDownIndent< TBase, TEnd >::Width | ( |  | ) | const
| inlineoverride

Definition at line 248 of file dropdown_common_type.h.

## Field Documentation

## ◆ indent

template<class TBase , bool TEnd = false>

uint DropDownIndent< TBase, TEnd >::indent
| private

Definition at line 243 of file dropdown_common_type.h.

The documentation for this class was generated from the following file:

- src/dropdown_common_type.h